Subject: Re: Re: Problems on porting linux 2.6 to xilinx ML410

From: "woyuzhilei" <[email-masked]>
Date: Sat, 25 Aug 2007 15:37:14 +0800

Thank you very much for your help!I think there may be somthing wrong with my kernel command  line.

woyuzhilei
2007-08-25

发件人： Grant Likely
发送时间： 2007-08-25 02:21:11
收件人： woyuzhilei
抄送： linuxppc-embedded
主题： Re: Problems on porting linux 2.6 to xilinx ML410

On 8/23/07, woyuzhilei  <[email-masked] > wrote:
>
>
> Hey:
>     Recently I'm doing some project on Xilinx Ml410 evaluation board.The
> first step is porting linux 2.6 to ml410,but I got some problems on this,and
> my project cann't proceed,so I come to you for some help.
>     I use the linux kernel source tree download from
> http://git.secretlab.ca/git/linux-2.6-virtex.git  (The
> latest one).Add the file the xparameters.h,xparameter_ml40x.h.  Then add
> arch/ppc/platforms/4xx/xilinx_generic_ppc.c(Use the patch I
> get here),and change it's name to ml40x.c,then I make some necessay change
> of the configuration files to accept selecting a Ml40x type board.

You shouldn't need to do all of this; only the xparameters_ml40x.h
file is needed.  To get started, I'd just use replace
xparameters_ml403.h with your custom xparameters_ml40x.h and use the
ml403 board port.  Once you've got it booting, you can get more fancy.

> Then
> compile the kernel,and get the image file from arch/ppc/boot/images, (On
> kernel compiling,the only device driver  I sellect is " 8250/16550 and
> compatible serial support ").After that  I download the zImage.elf file to
> the target board,and run it.But there is no output from the serial port at
> all.Am I doing somthing wrong?I really don't know goes wrong.
>     Can anyone here help me with this?Any help from you is appreciated.Thank
> you very much!

Make sure you've got 16550 console support enabled and
'console=/dev/ttyS0' in your kernel command line.

Cheers,
g.

-- 
Grant Likely, B.Sc., P.Eng.
Secret Lab Technologies Ltd.
[email-masked]
(403) 399-0195